Index: boot/common/inetutils.xml
===================================================================
--- boot/common/inetutils.xml	(revision c4ae2356e71582cd4a30730161cb3bf5f71fcac2)
+++ boot/common/inetutils.xml	(revision 127585fb0650e082916a10f718ac7a900c154397)
@@ -41,10 +41,14 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../final-system/common/inetutils.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
+    xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="aa"><userinput>./configure --prefix=/usr --libexecdir=/usr/sbin \
+<screen os="b"><userinput>./configure --prefix=/usr --libexecdir=/usr/sbin \
     --host=${LFS_TARGET} --sysconfdir=/etc --disable-logger \
     --disable-syslogd --disable-whois --disable-servers \
     --with-ncurses-include-dir=/tools/include/ncurses</userinput></screen>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../final-system/common/inetutils.xml"
+    xpointer="xpointer(//*[@os='c'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -56,11 +60,9 @@
     xpointer="xpointer(//*[@os='e'])"/>
 
-<screen os="ab"><userinput>make</userinput></screen>
-
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../final-system/common/inetutils.xml"
-    xpointer="xpointer(//*[@os='g'])"/>
+    xpointer="xpointer(//*[@os='f'])"/>
 
-<screen os="ac"><userinput>make DESTDIR="${LFS}" install</userinput></screen>
+<screen os="g"><userinput>make DESTDIR="${LFS}" install</userinput></screen>
 
   </sect2>
Index: boot/common/udev.xml
===================================================================
--- boot/common/udev.xml	(revision c4ae2356e71582cd4a30730161cb3bf5f71fcac2)
+++ boot/common/udev.xml	(revision 127585fb0650e082916a10f718ac7a900c154397)
@@ -25,18 +25,18 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../final-system/common/udev.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
+    xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="aa"><userinput>make CROSS="${LFS_TARGET}-" CC="${CC}" LD="${CC}" \
+<screen os="b"><userinput>make CROSS="${LFS_TARGET}-" CC="${CC}" LD="${CC}" \
     EXTRAS="extras/firmware extras/run_directory"</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../final-system/common/udev.xml"
-    xpointer="xpointer(//*[@os='d'])"/>
+    xpointer="xpointer(//*[@os='c'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../final-system/common/udev.xml"
-    xpointer="xpointer(//*[@os='f'])"/>
+    xpointer="xpointer(//*[@os='e'])"/>
 
-<screen os="ab"><userinput>make DESTDIR=${LFS} EXTRAS="extras/firmware extras/run_directory" install</userinput></screen>
+<screen os="f"><userinput>make DESTDIR=${LFS} EXTRAS="extras/firmware extras/run_directory" install</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -44,5 +44,5 @@
     xpointer="xpointer(//*[@os='h'])"/>
 
-<screen os="ac"><userinput>cp ../&udev-config-file; ${LFS}/etc/udev/rules.d/25-lfs.rules</userinput></screen>
+<screen os="i"><userinput>cp ../&udev-config-file; ${LFS}/etc/udev/rules.d/25-lfs.rules</userinput></screen>
 
   </sect2>
Index: boot/multilib/inetutils.xml
===================================================================
--- boot/multilib/inetutils.xml	(revision c4ae2356e71582cd4a30730161cb3bf5f71fcac2)
+++ boot/multilib/inetutils.xml	(revision 127585fb0650e082916a10f718ac7a900c154397)
@@ -41,7 +41,7 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/inetutils.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
+    xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="aa"><userinput>CC="${CC} ${BUILD64}" \
+<screen os="b"><userinput>CC="${CC} ${BUILD64}" \
    ./configure --prefix=/usr --libexecdir=/usr/sbin \
    --build=${LFS_HOST} --host=${LFS_TARGET} --target=${LFS_TARGET} \
@@ -49,4 +49,8 @@
    --disable-whois --disable-servers \
    --with-ncurses-include-dir=/tools/include/ncurses</userinput></screen>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/inetutils.xml"
+    xpointer="xpointer(//*[@os='c'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -60,13 +64,9 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/inetutils.xml"
-    xpointer="xpointer(//*[@os='ab'])"/>
+    xpointer="xpointer(//*[@os='f'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/inetutils.xml"
     xpointer="xpointer(//*[@os='g'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/inetutils.xml"
-    xpointer="xpointer(//*[@os='ac'])"/>
 
   </sect2>
Index: boot/multilib/udev.xml
===================================================================
--- boot/multilib/udev.xml	(revision c4ae2356e71582cd4a30730161cb3bf5f71fcac2)
+++ boot/multilib/udev.xml	(revision 127585fb0650e082916a10f718ac7a900c154397)
@@ -25,12 +25,16 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/udev.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
+    xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="aa"><userinput>make CROSS="${LFS_TARGET}-" CC="${CC} ${BUILD64}" LD="${CC} ${BUILD64}" \
+<screen os="b"><userinput>make CROSS="${LFS_TARGET}-" CC="${CC} ${BUILD64}" LD="${CC} ${BUILD64}" \
     EXTRAS="extras/firmware extras/run_directory"</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/udev.xml"
-    xpointer="xpointer(//*[@os='d'])"/>
+    xpointer="xpointer(//*[@os='c'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/udev.xml"
+    xpointer="xpointer(//*[@os='e'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -40,13 +44,9 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/udev.xml"
-    xpointer="xpointer(//*[@os='ab'])"/>
+    xpointer="xpointer(//*[@os='g'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/udev.xml"
     xpointer="xpointer(//*[@os='h'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/udev.xml"
-    xpointer="xpointer(//*[@os='ac'])"/>
 
   </sect2>
Index: temp-system/64/ncurses.xml
===================================================================
--- temp-system/64/ncurses.xml	(revision c4ae2356e71582cd4a30730161cb3bf5f71fcac2)
+++ temp-system/64/ncurses.xml	(revision 127585fb0650e082916a10f718ac7a900c154397)
@@ -27,5 +27,5 @@
     xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="aa"><userinput>CC="${CC} ${BUILD64}" CXX="${CXX} ${BUILD64}" \
+<screen os="b"><userinput>CC="${CC} ${BUILD64}" CXX="${CXX} ${BUILD64}" \
    ./configure --prefix=/tools --with-shared \
    --host=${LFS_TARGET} --without-debug --without-ada \
@@ -34,13 +34,9 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/ncurses.xml"
-    xpointer="xpointer(//*[@os='ac'])"/>
+    xpointer="xpointer(//*[@os='c'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/ncurses.xml"
-    xpointer="xpointer(//*[@os='b'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/ncurses.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
+    xpointer="xpointer(//*[@os='d'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -51,4 +47,8 @@
     href="../common/ncurses.xml"
     xpointer="xpointer(//*[@os='f'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/ncurses.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
 
   </sect2>
Index: temp-system/64/zlib.xml
===================================================================
--- temp-system/64/zlib.xml	(revision c4ae2356e71582cd4a30730161cb3bf5f71fcac2)
+++ temp-system/64/zlib.xml	(revision 127585fb0650e082916a10f718ac7a900c154397)
@@ -44,8 +44,4 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/zlib.xml"
-    xpointer="xpointer(//*[@os='f'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/zlib.xml"
     xpointer="xpointer(//*[@os='g'])"/>
 
Index: temp-system/common/bash.xml
===================================================================
--- temp-system/common/bash.xml	(revision c4ae2356e71582cd4a30730161cb3bf5f71fcac2)
+++ temp-system/common/bash.xml	(revision 127585fb0650e082916a10f718ac7a900c154397)
@@ -40,5 +40,5 @@
     xpointer="xpointer(//*[@os='g'])"/>
 
-<screen os="ac"><userinput>./configure --prefix=/tools --with-curses \
+<screen os="h"><userinput>./configure --prefix=/tools --with-curses \
    --without-bash-malloc --host=${LFS_TARGET}</userinput></screen>
 
@@ -67,17 +67,17 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../final-system/common/bash.xml"
-    xpointer="xpointer(//*[@os='i'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/bash.xml"
     xpointer="xpointer(//*[@os='j'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../final-system/common/bash.xml"
-    xpointer="xpointer(//*[@os='l'])"/>
+    xpointer="xpointer(//*[@os='k'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../final-system/common/bash.xml"
     xpointer="xpointer(//*[@os='m'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../final-system/common/bash.xml"
+    xpointer="xpointer(//*[@os='n'])"/>
 
     <para os="ae">Make a link for the programs that use <command>sh</command> for
Index: temp-system/common/findutils.xml
===================================================================
--- temp-system/common/findutils.xml	(revision c4ae2356e71582cd4a30730161cb3bf5f71fcac2)
+++ temp-system/common/findutils.xml	(revision 127585fb0650e082916a10f718ac7a900c154397)
@@ -37,17 +37,17 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../final-system/common/findutils.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/findutils.xml"
     xpointer="xpointer(//*[@os='d'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../final-system/common/findutils.xml"
-    xpointer="xpointer(//*[@os='f'])"/>
+    xpointer="xpointer(//*[@os='e'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../final-system/common/findutils.xml"
     xpointer="xpointer(//*[@os='g'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../final-system/common/findutils.xml"
+    xpointer="xpointer(//*[@os='h'])"/>
 
   </sect2>
Index: temp-system/common/gzip.xml
===================================================================
--- temp-system/common/gzip.xml	(revision c4ae2356e71582cd4a30730161cb3bf5f71fcac2)
+++ temp-system/common/gzip.xml	(revision 127585fb0650e082916a10f718ac7a900c154397)
@@ -38,4 +38,8 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../final-system/common/gzip.xml"
+    xpointer="xpointer(//*[@os='e'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../final-system/common/gzip.xml"
     xpointer="xpointer(//*[@os='f'])"/>
 
Index: temp-system/common/ncurses.xml
===================================================================
--- temp-system/common/ncurses.xml	(revision c4ae2356e71582cd4a30730161cb3bf5f71fcac2)
+++ temp-system/common/ncurses.xml	(revision 127585fb0650e082916a10f718ac7a900c154397)
@@ -27,9 +27,9 @@
     xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="aa"><userinput>./configure --prefix=/tools --with-shared \
+<screen os="b"><userinput>./configure --prefix=/tools --with-shared \
    --host=${LFS_TARGET} --without-debug --without-ada \
    --enable-overwrite --with-build-cc=gcc</userinput></screen>
 
-    <variablelist os="ac">
+    <variablelist os="c">
       <title>The meaning of the configure options:</title>
 
@@ -79,17 +79,17 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../final-system/common/ncurses.xml"
-    xpointer="xpointer(//*[@os='b'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/common/ncurses.xml"
     xpointer="xpointer(//*[@os='c'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../final-system/common/ncurses.xml"
-    xpointer="xpointer(//*[@os='e'])"/>
+    xpointer="xpointer(//*[@os='d'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../final-system/common/ncurses.xml"
     xpointer="xpointer(//*[@os='f'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../final-system/common/ncurses.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
 
   </sect2>
Index: temp-system/common/tar.xml
===================================================================
--- temp-system/common/tar.xml	(revision c4ae2356e71582cd4a30730161cb3bf5f71fcac2)
+++ temp-system/common/tar.xml	(revision 127585fb0650e082916a10f718ac7a900c154397)
@@ -30,16 +30,16 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../final-system/common/tar.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
+    xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="ac"><userinput>./configure --prefix=/tools \
+<screen os="b"><userinput>./configure --prefix=/tools \
    --host=${LFS_TARGET} --cache-file=config.cache</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../final-system/common/tar.xml"
-    xpointer="xpointer(//*[@os='d'])"/>
+    xpointer="xpointer(//*[@os='c'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../final-system/common/tar.xml"
-    xpointer="xpointer(//*[@os='e'])"/>
+    xpointer="xpointer(//*[@os='d'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: temp-system/multilib/bash.xml
===================================================================
--- temp-system/multilib/bash.xml	(revision c4ae2356e71582cd4a30730161cb3bf5f71fcac2)
+++ temp-system/multilib/bash.xml	(revision 127585fb0650e082916a10f718ac7a900c154397)
@@ -43,5 +43,5 @@
     xpointer="xpointer(//*[@os='g'])"/>
 
-<screen os="ac"><userinput>CC="${CC} ${BUILD64}" CXX="${CXX} ${BUILD64}" \
+<screen os="h"><userinput>CC="${CC} ${BUILD64}" CXX="${CXX} ${BUILD64}" \
    ./configure --prefix=/tools --with-curses \
    --without-bash-malloc --host=${LFS_TARGET}</userinput></screen>
@@ -53,17 +53,17 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/bash.xml"
-    xpointer="xpointer(//*[@os='i'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/bash.xml"
     xpointer="xpointer(//*[@os='j'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/bash.xml"
-    xpointer="xpointer(//*[@os='l'])"/>
+    xpointer="xpointer(//*[@os='k'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/bash.xml"
     xpointer="xpointer(//*[@os='m'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/bash.xml"
+    xpointer="xpointer(//*[@os='n'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: temp-system/multilib/findutils.xml
===================================================================
--- temp-system/multilib/findutils.xml	(revision c4ae2356e71582cd4a30730161cb3bf5f71fcac2)
+++ temp-system/multilib/findutils.xml	(revision 127585fb0650e082916a10f718ac7a900c154397)
@@ -40,17 +40,17 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/findutils.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/findutils.xml"
     xpointer="xpointer(//*[@os='d'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/findutils.xml"
-    xpointer="xpointer(//*[@os='f'])"/>
+    xpointer="xpointer(//*[@os='e'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/findutils.xml"
     xpointer="xpointer(//*[@os='g'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/findutils.xml"
+    xpointer="xpointer(//*[@os='h'])"/>
 
   </sect2>
Index: temp-system/multilib/gzip.xml
===================================================================
--- temp-system/multilib/gzip.xml	(revision c4ae2356e71582cd4a30730161cb3bf5f71fcac2)
+++ temp-system/multilib/gzip.xml	(revision 127585fb0650e082916a10f718ac7a900c154397)
@@ -40,4 +40,8 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/gzip.xml"
+    xpointer="xpointer(//*[@os='e'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/gzip.xml"
     xpointer="xpointer(//*[@os='f'])"/>
 
Index: temp-system/multilib/ncurses-64bit.xml
===================================================================
--- temp-system/multilib/ncurses-64bit.xml	(revision c4ae2356e71582cd4a30730161cb3bf5f71fcac2)
+++ temp-system/multilib/ncurses-64bit.xml	(revision 127585fb0650e082916a10f718ac7a900c154397)
@@ -27,12 +27,8 @@
     xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="aa"><userinput>CC="${CC} ${BUILD64}" CXX="${CXX} ${BUILD64}" \
+<screen os="b"><userinput>CC="${CC} ${BUILD64}" CXX="${CXX} ${BUILD64}" \
    ./configure --prefix=/tools --with-shared \
    --host=${LFS_TARGET} --without-debug --without-ada \
    --enable-overwrite --with-build-cc=gcc --libdir=/tools/lib64</userinput></screen>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/ncurses.xml"
-    xpointer="xpointer(//*[@os='b'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -42,9 +38,13 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/ncurses.xml"
-    xpointer="xpointer(//*[@os='e'])"/>
+    xpointer="xpointer(//*[@os='d'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/ncurses.xml"
     xpointer="xpointer(//*[@os='f'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/ncurses.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
 
   </sect2>
Index: temp-system/multilib/ncurses-n32.xml
===================================================================
--- temp-system/multilib/ncurses-n32.xml	(revision c4ae2356e71582cd4a30730161cb3bf5f71fcac2)
+++ temp-system/multilib/ncurses-n32.xml	(revision 127585fb0650e082916a10f718ac7a900c154397)
@@ -27,12 +27,8 @@
     xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="aa"><userinput>CC="${CC} ${BUILDN32}" CXX="${CXX} ${BUILDN32}" \
+<screen os="b"><userinput>CC="${CC} ${BUILDN32}" CXX="${CXX} ${BUILDN32}" \
    ./configure --prefix=/tools --with-shared \
    --host=${LFS_TARGET} --without-debug --without-ada \
    --enable-overwrite --with-build-cc=gcc --libdir=/tools/lib32</userinput></screen>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="ncurses.xml"
-    xpointer="xpointer(//*[@os='b'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -42,9 +38,13 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="ncurses.xml"
-    xpointer="xpointer(//*[@os='e'])"/>
+    xpointer="xpointer(//*[@os='d'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="ncurses.xml"
     xpointer="xpointer(//*[@os='f'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="ncurses.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
 
   </sect2>
Index: temp-system/multilib/ncurses.xml
===================================================================
--- temp-system/multilib/ncurses.xml	(revision c4ae2356e71582cd4a30730161cb3bf5f71fcac2)
+++ temp-system/multilib/ncurses.xml	(revision 127585fb0650e082916a10f718ac7a900c154397)
@@ -27,16 +27,8 @@
     xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="aa"><userinput>CC="${CC} ${BUILD32}" CXX="${CXX} ${BUILD32}" \
+<screen os="b"><userinput>CC="${CC} ${BUILD32}" CXX="${CXX} ${BUILD32}" \
    ./configure --prefix=/tools --with-shared \
    --host=${LFS_TARGET} --without-debug --without-ada \
    --enable-overwrite --with-build-cc=gcc</userinput></screen>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/ncurses.xml"
-    xpointer="xpointer(//*[@os='ac'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/ncurses.xml"
-    xpointer="xpointer(//*[@os='b'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -46,9 +38,17 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/ncurses.xml"
-    xpointer="xpointer(//*[@os='e'])"/>
+    xpointer="xpointer(//*[@os='c'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/ncurses.xml"
+    xpointer="xpointer(//*[@os='d'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/ncurses.xml"
     xpointer="xpointer(//*[@os='f'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../common/ncurses.xml"
+    xpointer="xpointer(//*[@os='g'])"/>
 
   </sect2>
Index: temp-system/multilib/tar.xml
===================================================================
--- temp-system/multilib/tar.xml	(revision c4ae2356e71582cd4a30730161cb3bf5f71fcac2)
+++ temp-system/multilib/tar.xml	(revision 127585fb0650e082916a10f718ac7a900c154397)
@@ -33,16 +33,16 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/tar.xml"
-    xpointer="xpointer(//*[@os='c'])"/>
+    xpointer="xpointer(//*[@os='a'])"/>
 
-<screen os="ac"><userinput>CC="${CC} ${BUILD64}" ./configure --prefix=/tools \
+<screen os="b"><userinput>CC="${CC} ${BUILD64}" ./configure --prefix=/tools \
    --host=${LFS_TARGET} --cache-file=config.cache</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/tar.xml"
-    xpointer="xpointer(//*[@os='d'])"/>
+    xpointer="xpointer(//*[@os='c'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../common/tar.xml"
-    xpointer="xpointer(//*[@os='e'])"/>
+    xpointer="xpointer(//*[@os='d'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"