Index: BOOK/final-system/mips-chapter.xml
===================================================================
--- BOOK/final-system/mips-chapter.xml	(revision 39ca59fdba9acd52ff24ba9f757f595e1303184e)
+++ BOOK/final-system/mips-chapter.xml	(revision 127780a62e70e45ff10f2cb542601f3e13900647)
@@ -66,4 +66,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kbd.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libpipeline.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/man-db.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/make.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/xz.xml"/>
@@ -78,5 +79,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/texinfo.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/man-db.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/vim.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips/colo.xml"/>
Index: BOOK/final-system/mips64-64-chapter.xml
===================================================================
--- BOOK/final-system/mips64-64-chapter.xml	(revision 39ca59fdba9acd52ff24ba9f757f595e1303184e)
+++ BOOK/final-system/mips64-64-chapter.xml	(revision 127780a62e70e45ff10f2cb542601f3e13900647)
@@ -66,4 +66,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kbd.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libpipeline.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/man-db.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/make.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/xz.xml"/>
@@ -78,5 +79,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/texinfo.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/man-db.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/vim.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips64/colo.xml"/>
Index: BOOK/final-system/mips64-chapter.xml
===================================================================
--- BOOK/final-system/mips64-chapter.xml	(revision 39ca59fdba9acd52ff24ba9f757f595e1303184e)
+++ BOOK/final-system/mips64-chapter.xml	(revision 127780a62e70e45ff10f2cb542601f3e13900647)
@@ -115,4 +115,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libpipeline-n32.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libpipeline-64bit.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/man-db.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/make.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/xz.xml"/>
@@ -139,5 +140,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/texinfo.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/man-db.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/vim.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mips64/colo.xml"/>
Index: BOOK/final-system/ppc-chapter.xml
===================================================================
--- BOOK/final-system/ppc-chapter.xml	(revision 39ca59fdba9acd52ff24ba9f757f595e1303184e)
+++ BOOK/final-system/ppc-chapter.xml	(revision 127780a62e70e45ff10f2cb542601f3e13900647)
@@ -66,4 +66,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kbd.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libpipeline.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/man-db.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/make.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/xz.xml"/>
@@ -78,5 +79,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/texinfo.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/man-db.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/vim.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="ppc/hfsutils.xml"/>
Index: BOOK/final-system/ppc64-64-chapter.xml
===================================================================
--- BOOK/final-system/ppc64-64-chapter.xml	(revision 39ca59fdba9acd52ff24ba9f757f595e1303184e)
+++ BOOK/final-system/ppc64-64-chapter.xml	(revision 127780a62e70e45ff10f2cb542601f3e13900647)
@@ -66,4 +66,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kbd.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libpipeline.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/man-db.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/make.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/xz.xml"/>
@@ -78,5 +79,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/texinfo.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/man-db.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/vim.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="ppc/hfsutils.xml"/>
Index: BOOK/final-system/ppc64-chapter.xml
===================================================================
--- BOOK/final-system/ppc64-chapter.xml	(revision 39ca59fdba9acd52ff24ba9f757f595e1303184e)
+++ BOOK/final-system/ppc64-chapter.xml	(revision 127780a62e70e45ff10f2cb542601f3e13900647)
@@ -91,4 +91,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libpipeline.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libpipeline-64bit.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/man-db.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/make.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/xz.xml"/>
@@ -109,5 +110,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/texinfo.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/man-db.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/vim.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="ppc64/hfsutils.xml"/>
Index: BOOK/final-system/sparc-chapter.xml
===================================================================
--- BOOK/final-system/sparc-chapter.xml	(revision 39ca59fdba9acd52ff24ba9f757f595e1303184e)
+++ BOOK/final-system/sparc-chapter.xml	(revision 127780a62e70e45ff10f2cb542601f3e13900647)
@@ -66,4 +66,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kbd.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libpipeline.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/man-db.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/make.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/xz.xml"/>
@@ -78,5 +79,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/texinfo.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/man-db.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/vim.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sparc/elftoaout.xml"/>
Index: BOOK/final-system/sparc64-64-chapter.xml
===================================================================
--- BOOK/final-system/sparc64-64-chapter.xml	(revision 39ca59fdba9acd52ff24ba9f757f595e1303184e)
+++ BOOK/final-system/sparc64-64-chapter.xml	(revision 127780a62e70e45ff10f2cb542601f3e13900647)
@@ -66,4 +66,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kbd.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libpipeline.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/man-db.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/make.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/xz.xml"/>
@@ -78,5 +79,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/texinfo.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/man-db.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/vim.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sparc64/elftoaout.xml"/>
Index: BOOK/final-system/sparc64-chapter.xml
===================================================================
--- BOOK/final-system/sparc64-chapter.xml	(revision 39ca59fdba9acd52ff24ba9f757f595e1303184e)
+++ BOOK/final-system/sparc64-chapter.xml	(revision 127780a62e70e45ff10f2cb542601f3e13900647)
@@ -91,4 +91,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libpipeline.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libpipeline-64bit.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/man-db.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/make.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/xz.xml"/>
@@ -109,5 +110,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/texinfo.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/man-db.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/vim.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sparc64/elftoaout.xml"/>
Index: BOOK/final-system/x86-chapter.xml
===================================================================
--- BOOK/final-system/x86-chapter.xml	(revision 39ca59fdba9acd52ff24ba9f757f595e1303184e)
+++ BOOK/final-system/x86-chapter.xml	(revision 127780a62e70e45ff10f2cb542601f3e13900647)
@@ -66,4 +66,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kbd.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libpipeline.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/man-db.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/make.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/xz.xml"/>
@@ -78,5 +79,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/texinfo.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/man-db.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/vim.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="x86/grub.xml"/>
Index: BOOK/final-system/x86_64-64-chapter.xml
===================================================================
--- BOOK/final-system/x86_64-64-chapter.xml	(revision 39ca59fdba9acd52ff24ba9f757f595e1303184e)
+++ BOOK/final-system/x86_64-64-chapter.xml	(revision 127780a62e70e45ff10f2cb542601f3e13900647)
@@ -66,4 +66,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kbd.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/libpipeline.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/man-db.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/make.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/xz.xml"/>
@@ -78,5 +79,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/texinfo.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/man-db.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/vim.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="x86/grub.xml"/>
Index: BOOK/final-system/x86_64-chapter.xml
===================================================================
--- BOOK/final-system/x86_64-chapter.xml	(revision 39ca59fdba9acd52ff24ba9f757f595e1303184e)
+++ BOOK/final-system/x86_64-chapter.xml	(revision 127780a62e70e45ff10f2cb542601f3e13900647)
@@ -91,4 +91,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libpipeline.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/libpipeline-64bit.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/man-db.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/make.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/xz.xml"/>
@@ -109,5 +110,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/texinfo.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/man-db.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/vim.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="x86/grub.xml"/>