Index: BOOK/cross-tools/arm/uclibc.xml
===================================================================
--- BOOK/cross-tools/arm/uclibc.xml	(revision 6533111bbc647179c1d218053124814fe8a861c9)
+++ BOOK/cross-tools/arm/uclibc.xml	(revision 128905dec3354951ffd0e142686118f8407e2d61)
@@ -35,12 +35,4 @@
   href="../x86/uclibc.xml"
   xpointer="xpointer(//*[@os='e'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/uclibc.xml"
-  xpointer="xpointer(//*[@os='p1'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/uclibc.xml"
-  xpointer="xpointer(//*[@os='p2'])"/>
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/cross-tools/arm/variables.xml
===================================================================
--- BOOK/cross-tools/arm/variables.xml	(revision 6533111bbc647179c1d218053124814fe8a861c9)
+++ BOOK/cross-tools/arm/variables.xml	(revision 128905dec3354951ffd0e142686118f8407e2d61)
@@ -28,5 +28,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/variables.xml"
+  href="../mips/variables.xml"
   xpointer="xpointer(//*[@os='e1'])"/>
 
Index: BOOK/cross-tools/mips/uclibc.xml
===================================================================
--- BOOK/cross-tools/mips/uclibc.xml	(revision 6533111bbc647179c1d218053124814fe8a861c9)
+++ BOOK/cross-tools/mips/uclibc.xml	(revision 128905dec3354951ffd0e142686118f8407e2d61)
@@ -36,12 +36,4 @@
   href="../x86/uclibc.xml"
   xpointer="xpointer(//*[@os='e'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/uclibc.xml"
-  xpointer="xpointer(//*[@os='p1'])"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-  href="../x86/uclibc.xml"
-  xpointer="xpointer(//*[@os='p2'])"/>
 
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/cross-tools/x86/uclibc.xml
===================================================================
--- BOOK/cross-tools/x86/uclibc.xml	(revision 6533111bbc647179c1d218053124814fe8a861c9)
+++ BOOK/cross-tools/x86/uclibc.xml	(revision 128905dec3354951ffd0e142686118f8407e2d61)
@@ -34,9 +34,4 @@
       do a more custom build for your uClibc installation.</para>
     </note>
-
-    <para os="p1">The following patch creates a condition in a header so that
-    the struct flock will not be redefined:</para>
-
-<screen os="p2"><userinput>patch -Np1 -i ../&uclibc-flock_fixes-patch;</userinput></screen>
 
     <para os="f">Create the default configuration:</para>
Index: BOOK/materials/common/patches.xml
===================================================================
--- BOOK/materials/common/patches.xml	(revision 6533111bbc647179c1d218053124814fe8a861c9)
+++ BOOK/materials/common/patches.xml	(revision 128905dec3354951ffd0e142686118f8407e2d61)
@@ -55,4 +55,5 @@
     </varlistentry>
 
+<!--
     <varlistentry>
       <term>GCC Branch Update Patch - <token>&gcc-branch_update-patch-size;</token>:</term>
@@ -63,4 +64,5 @@
       </listitem>
     </varlistentry>
+-->
 
     <varlistentry>
@@ -101,9 +103,9 @@
 
     <varlistentry>
-      <term>uClibc Flock Fixes Patch - <token>&uclibc-flock_fixes-patch-size;</token>:</term>
+      <term>uClibc Branch Update Patch - <token>&uclibc-branch_update-patch-size;</token>:</term>
       <listitem>
-        <para>Downloads: <ulink
-        url="&patches-root;&uclibc-flock_fixes-patch;"/></para>
-        <para>MD5 sum: <literal>&uclibc-flock_fixes-patch-md5;</literal></para>
+        <para>Download: <ulink
+        url="&patches-root;&uclibc-branch_update-patch;"/></para>
+        <para>MD5 sum: <literal>&uclibc-branch_update-patch-md5;</literal></para>
       </listitem>
     </varlistentry>
Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision 6533111bbc647179c1d218053124814fe8a861c9)
+++ BOOK/packages.ent	(revision 128905dec3354951ffd0e142686118f8407e2d61)
@@ -29,8 +29,8 @@
 <!ENTITY e2fsprogs-home "http://e2fsprogs.sourceforge.net">
 
-<!ENTITY gcc-version "4.3.2">
-<!ENTITY gcc-size "57,648 KB">
-<!ENTITY gcc-url "&gnu;gcc/gcc-&gcc-version;/gcc-&gcc-version;.tar.bz2">
-<!ENTITY gcc-md5 "5dfac5da961ecd5f227c3175859a486d">
+<!ENTITY gcc-version "4.3.3">
+<!ENTITY gcc-size "57,984 KB">
+<!ENTITY gcc-url "ftp://gcc.gnu.org/pub/gcc/releases/gcc-&gcc-version;/gcc-&gcc-version;.tar.bz2">
+<!ENTITY gcc-md5 "cc3c5565fdb9ab87a05ddb106ba0bd1f ">
 <!ENTITY gcc-home "http://gcc.gnu.org">
 
Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision 6533111bbc647179c1d218053124814fe8a861c9)
+++ BOOK/patches.ent	(revision 128905dec3354951ffd0e142686118f8407e2d61)
@@ -21,10 +21,12 @@
 <!ENTITY busybox-iptunnel_headers-patch-size "4 KB">
 
+<!--
 <!ENTITY gcc-branch_update-patch "gcc-&gcc-version;-branch_update-2.patch">
 <!ENTITY gcc-branch_update-patch-md5 "07a92e6f10d82ae3ae634a993d6bde82">
 <!ENTITY gcc-branch_update-patch-size "864 KB">
+-->
 
 <!ENTITY gcc-posix-patch "gcc-&gcc-version;-posix-1.patch">
-<!ENTITY gcc-posix-patch-md5 "ed26ea522e014b2e39adf066bd44053b">
+<!ENTITY gcc-posix-patch-md5 "ccc0d5f959234bf4fed2b6fa338d6117">
 <!ENTITY gcc-posix-patch-size "16 KB">
 
@@ -41,7 +43,7 @@
 <!ENTITY mpfr-branch_update-patch-size "20 KB">
 
-<!ENTITY uclibc-flock_fixes-patch "uClibc-&uclibc-version;-flock_fixes-1.patch">
-<!ENTITY uclibc-flock_fixes-patch-md5 "aaff25f9503fe380f82be79f82aa04e9">
-<!ENTITY uclibc-flock_fixes-patch-size "24 KB">
+<!ENTITY uclibc-branch_update-patch "uclibc-&uclibc-version;-branch_update-1.patch">
+<!ENTITY uclibc-branch_update-patch-md5 "aba411c0c1b35e1802ef9cac92b62d1f">
+<!ENTITY uclibc-branch_update-patch-size "88 KB">
 
 <!ENTITY zlib-destdir-patch "zlib-&zlib-version;-DESTDIR-1.patch">