Index: BOOK/boot/x86/grub-build.xml
===================================================================
--- BOOK/boot/x86/grub-build.xml	(revision 9340de049d3969c6da49fe9afa2ad30f31f85bfc)
+++ BOOK/boot/x86/grub-build.xml	(revision 407772b3866ebd23a9350c5423f2ae3ffafc23e4)
@@ -22,4 +22,8 @@
   <sect2 role="installation">
     <title>Installation of GRUB</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../final-system/x86/grub.xml"
+    xpointer="xpointer(//*[@os='n1'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/boot/x86_64-64/lilo.xml
===================================================================
--- BOOK/boot/x86_64-64/lilo.xml	(revision 9340de049d3969c6da49fe9afa2ad30f31f85bfc)
+++ BOOK/boot/x86_64-64/lilo.xml	(revision 407772b3866ebd23a9350c5423f2ae3ffafc23e4)
@@ -15,4 +15,8 @@
     <secondary>configuring</secondary>
   </indexterm>
+
+     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+     href="../../final-system/x86/grub.xml"
+     xpointer="xpointer(//*[@os='n1'])"/>
 
   <para os="a">You are nearly ready to boot to the new temporary system.
Index: BOOK/boot/x86_64/grub-build.xml
===================================================================
--- BOOK/boot/x86_64/grub-build.xml	(revision 9340de049d3969c6da49fe9afa2ad30f31f85bfc)
+++ BOOK/boot/x86_64/grub-build.xml	(revision 407772b3866ebd23a9350c5423f2ae3ffafc23e4)
@@ -22,4 +22,8 @@
   <sect2 role="installation">
     <title>Installation of GRUB</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/grub-build.xml"
+    xpointer="xpointer(//*[@os='n1'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/final-system/x86/grub.xml
===================================================================
--- BOOK/final-system/x86/grub.xml	(revision 9340de049d3969c6da49fe9afa2ad30f31f85bfc)
+++ BOOK/final-system/x86/grub.xml	(revision 407772b3866ebd23a9350c5423f2ae3ffafc23e4)
@@ -23,4 +23,11 @@
   <sect2 role="installation">
     <title>Installation of GRUB</title>
+
+    <note os="n1">
+      <para>If you would like use a different bootloader than this
+      one you can go to the following link for alterative bootloaders
+      and the instructions to use them. 
+      <ulink url="http://trac.cross-lfs.org/wiki/bootloaders"/></para>
+    </note>
 
     <para os="p1">GRUB has an issue where it sometimes doesn't detect
Index: BOOK/final-system/x86_64-64/lilo.xml
===================================================================
--- BOOK/final-system/x86_64-64/lilo.xml	(revision 9340de049d3969c6da49fe9afa2ad30f31f85bfc)
+++ BOOK/final-system/x86_64-64/lilo.xml	(revision 407772b3866ebd23a9350c5423f2ae3ffafc23e4)
@@ -26,7 +26,10 @@
   </sect2>
 
-
   <sect2 role="installation">
     <title>Installation of Lilo</title>
+
+     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+     href="../../final-system/x86/grub.xml"
+     xpointer="xpointer(//*[@os='n1'])"/>
 
     <para os="c">Compile the package:</para>
Index: BOOK/final-system/x86_64/grub.xml
===================================================================
--- BOOK/final-system/x86_64/grub.xml	(revision 9340de049d3969c6da49fe9afa2ad30f31f85bfc)
+++ BOOK/final-system/x86_64/grub.xml	(revision 407772b3866ebd23a9350c5423f2ae3ffafc23e4)
@@ -20,4 +20,8 @@
   <sect2 role="installation">
     <title>Installation of GRUB</title>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/grub.xml"
+    xpointer="xpointer(//*[@os='n1'])"/>
 
     <para os="ap3">GRUB has an issue that can cause it to segfault when you
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 9340de049d3969c6da49fe9afa2ad30f31f85bfc)
+++ BOOK/introduction/common/changelog.xml	(revision 407772b3866ebd23a9350c5423f2ae3ffafc23e4)
@@ -65,4 +65,7 @@
         <listitem>
           <para>[Jim] - Updated Udev to 136.</para>
+        </listitem>
+        <listitem>
+          <para>[Jim] - Added Note about alternative bootloaders to x86.</para>
         </listitem>
       </itemizedlist>