Index: BOOK/final-system/common/glibc.xml
===================================================================
--- BOOK/final-system/common/glibc.xml	(revision dc39bccf005b489a9dcf9324211b017f09a34d4f)
+++ BOOK/final-system/common/glibc.xml	(revision 0488433eaaf18a3b1f438136624c2955faf791a7)
@@ -60,9 +60,4 @@
     Glibc Autoconf tests would give false results and defeat the goal
     of achieving a clean build.</para>
-
-    <para os="s1">Apply the following <command>sed</command> so the
-    <command>tzselect</command> script works properly:</para>
-
-<screen os="s2"><userinput>sed -i 's/\\$$(pwd)/`pwd`/' timezone/Makefile</userinput></screen>
 
     <para os="e">The Glibc documentation recommends building Glibc outside of     the source directory in a dedicated build directory:</para>
Index: BOOK/final-system/mips64-64/glibc.xml
===================================================================
--- BOOK/final-system/mips64-64/glibc.xml	(revision dc39bccf005b489a9dcf9324211b017f09a34d4f)
+++ BOOK/final-system/mips64-64/glibc.xml	(revision 0488433eaaf18a3b1f438136624c2955faf791a7)
@@ -37,12 +37,4 @@
     href="../common/glibc.xml"
     xpointer="xpointer(//*[@os='b'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='s1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='s2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/mips64/glibc-64bit.xml
===================================================================
--- BOOK/final-system/mips64/glibc-64bit.xml	(revision dc39bccf005b489a9dcf9324211b017f09a34d4f)
+++ BOOK/final-system/mips64/glibc-64bit.xml	(revision 0488433eaaf18a3b1f438136624c2955faf791a7)
@@ -33,12 +33,4 @@
     href="../multilib/glibc.xml"
     xpointer="xpointer(//*[@os='b'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='s1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='s2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/mips64/glibc-n32.xml
===================================================================
--- BOOK/final-system/mips64/glibc-n32.xml	(revision dc39bccf005b489a9dcf9324211b017f09a34d4f)
+++ BOOK/final-system/mips64/glibc-n32.xml	(revision 0488433eaaf18a3b1f438136624c2955faf791a7)
@@ -34,12 +34,4 @@
     href="../multilib/glibc.xml"
     xpointer="xpointer(//*[@os='b'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='s1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='s2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/multilib/glibc-64bit.xml
===================================================================
--- BOOK/final-system/multilib/glibc-64bit.xml	(revision dc39bccf005b489a9dcf9324211b017f09a34d4f)
+++ BOOK/final-system/multilib/glibc-64bit.xml	(revision 0488433eaaf18a3b1f438136624c2955faf791a7)
@@ -34,12 +34,4 @@
     href="glibc.xml"
     xpointer="xpointer(//*[@os='b'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='s1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='s2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/multilib/glibc.xml
===================================================================
--- BOOK/final-system/multilib/glibc.xml	(revision dc39bccf005b489a9dcf9324211b017f09a34d4f)
+++ BOOK/final-system/multilib/glibc.xml	(revision 0488433eaaf18a3b1f438136624c2955faf791a7)
@@ -38,12 +38,4 @@
     href="../common/glibc.xml"
     xpointer="xpointer(//*[@os='b'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='s1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='s2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/ppc/glibc.xml
===================================================================
--- BOOK/final-system/ppc/glibc.xml	(revision dc39bccf005b489a9dcf9324211b017f09a34d4f)
+++ BOOK/final-system/ppc/glibc.xml	(revision 0488433eaaf18a3b1f438136624c2955faf791a7)
@@ -37,12 +37,4 @@
     href="../common/glibc.xml"
     xpointer="xpointer(//*[@os='b'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='s1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='s2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/ppc64-64/glibc.xml
===================================================================
--- BOOK/final-system/ppc64-64/glibc.xml	(revision dc39bccf005b489a9dcf9324211b017f09a34d4f)
+++ BOOK/final-system/ppc64-64/glibc.xml	(revision 0488433eaaf18a3b1f438136624c2955faf791a7)
@@ -37,12 +37,4 @@
     href="../common/glibc.xml"
     xpointer="xpointer(//*[@os='b'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='s1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='s2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/ppc64/glibc-64bit.xml
===================================================================
--- BOOK/final-system/ppc64/glibc-64bit.xml	(revision dc39bccf005b489a9dcf9324211b017f09a34d4f)
+++ BOOK/final-system/ppc64/glibc-64bit.xml	(revision 0488433eaaf18a3b1f438136624c2955faf791a7)
@@ -33,12 +33,4 @@
     href="glibc.xml"
     xpointer="xpointer(//*[@os='b'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='s1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='s2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/ppc64/glibc.xml
===================================================================
--- BOOK/final-system/ppc64/glibc.xml	(revision dc39bccf005b489a9dcf9324211b017f09a34d4f)
+++ BOOK/final-system/ppc64/glibc.xml	(revision 0488433eaaf18a3b1f438136624c2955faf791a7)
@@ -54,12 +54,4 @@
 
 <screen os="u4"><userinput>sed -i "s/\(^check-textrel-CFLAGS = \)/\1 ${BUILD32} /" elf/Makefile</userinput></screen>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='s1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='s2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/sparc64-64/glibc.xml
===================================================================
--- BOOK/final-system/sparc64-64/glibc.xml	(revision dc39bccf005b489a9dcf9324211b017f09a34d4f)
+++ BOOK/final-system/sparc64-64/glibc.xml	(revision 0488433eaaf18a3b1f438136624c2955faf791a7)
@@ -37,12 +37,4 @@
     href="../common/glibc.xml"
     xpointer="xpointer(//*[@os='b'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='s1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='s2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/sparc64/glibc-64bit.xml
===================================================================
--- BOOK/final-system/sparc64/glibc-64bit.xml	(revision dc39bccf005b489a9dcf9324211b017f09a34d4f)
+++ BOOK/final-system/sparc64/glibc-64bit.xml	(revision 0488433eaaf18a3b1f438136624c2955faf791a7)
@@ -33,12 +33,4 @@
     href="../common/glibc.xml"
     xpointer="xpointer(//*[@os='b'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='s1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='s2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/x86/glibc.xml
===================================================================
--- BOOK/final-system/x86/glibc.xml	(revision dc39bccf005b489a9dcf9324211b017f09a34d4f)
+++ BOOK/final-system/x86/glibc.xml	(revision 0488433eaaf18a3b1f438136624c2955faf791a7)
@@ -37,12 +37,4 @@
     href="../common/glibc.xml"
     xpointer="xpointer(//*[@os='b'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='s1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='s2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/x86_64-64/glibc.xml
===================================================================
--- BOOK/final-system/x86_64-64/glibc.xml	(revision dc39bccf005b489a9dcf9324211b017f09a34d4f)
+++ BOOK/final-system/x86_64-64/glibc.xml	(revision 0488433eaaf18a3b1f438136624c2955faf791a7)
@@ -37,12 +37,4 @@
     href="../common/glibc.xml"
     xpointer="xpointer(//*[@os='b'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='s1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='s2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/x86_64/glibc-64bit.xml
===================================================================
--- BOOK/final-system/x86_64/glibc-64bit.xml	(revision dc39bccf005b489a9dcf9324211b017f09a34d4f)
+++ BOOK/final-system/x86_64/glibc-64bit.xml	(revision 0488433eaaf18a3b1f438136624c2955faf791a7)
@@ -33,12 +33,4 @@
     href="../multilib/glibc.xml"
     xpointer="xpointer(//*[@os='b'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='s1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/glibc.xml"
-    xpointer="xpointer(//*[@os='s2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision dc39bccf005b489a9dcf9324211b017f09a34d4f)
+++ BOOK/introduction/common/changelog.xml	(revision 0488433eaaf18a3b1f438136624c2955faf791a7)
@@ -36,4 +36,14 @@
     </listitem>
 -->
+
+    <listitem>
+      <para>2 November 2014</para>
+      <itemizedlist>
+        <listitem>
+          <para>[Chris] - Removed obsolete command for fixing
+          <command>tzselect</command> from Glibc instructions.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>