Index: BOOK/introduction/arm-chapter.xml
===================================================================
--- BOOK/introduction/arm-chapter.xml	(revision 47616cbc3b8c24b3a325ce4205a58d19e43aff36)
+++ BOOK/introduction/arm-chapter.xml	(revision 576630a8ded46974fed544331bee7b20723f0dfa)
@@ -19,5 +19,4 @@
   -->
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/changelog.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="arm/changelog.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/resources.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/askforhelp.xml"/>
Index: OK/introduction/arm/changelog.xml
===================================================================
--- BOOK/introduction/arm/changelog.xml	(revision 47616cbc3b8c24b3a325ce4205a58d19e43aff36)
+++ 	(revision )
@@ -1,127 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-intro-changelog-arm">
-  <title>Changelog for ARM</title>
-  <?dbhtml filename="changelog-arm.html"?>
-
-  <para>Below is a list of changes specifics for this architecture made
-  since the previous release of the book. For general changes see
-  <xref linkend="ch-intro-changelog"/>,</para>
-
-  <itemizedlist>
-    <title>Changelog Entries:</title>
-
-<!-- Changelog template
-
-    <listitem>
-      <para>Date</para>
-      <itemizedlist>
-        <listitem>
-          <para>[name] - Changelog entry.</para>
-        </listitem>
-        <listitem>
-          <para>[name] - Another changelog entry.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
--->
-
-    <listitem>
-      <para>October 16, 2013</para>
-      <itemizedlist>
-        <listitem>
-          <para>[abradford] - Remove fpus that aren't valid.</para>
-        </listitem>
-        <listitem>
-          <para>[abradford] - Remove arm archs before armv4t.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>October 8, 2013</para>
-      <itemizedlist>
-        <listitem>
-          <para>[abradford] - Remove ARM OABI and other ABIs that aren't EABI
-          using aapcs-linux.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>September 18, 2012</para>
-      <itemizedlist>
-        <listitem>
-          <para>[abradford] - Provide recommendations for selection of ARM
-          ABI and build variables.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>April 8, 2011</para>
-      <itemizedlist>
-        <listitem>
-          <para>[abradford] - Added patch for ARM uClibc soft floating point
-          fixes in order to build libgcc.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>February 24, 2011</para>
-      <itemizedlist>
-        <listitem>
-          <para>[abradford] - Added selection of ARM: arch, mode, float and
-          fpu.  These are now used with --disable-multilib when building
-          GCC.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>February 21, 2011</para>
-      <itemizedlist>
-        <listitem>
-          <para>[abradford] - Enabled support of EABI in uClibc configurations.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>February 10, 2011</para>
-      <itemizedlist>
-        <listitem>
-          <para>[abradford] - Fixed builds for EABI (aapcs and aapcs-linux)
-          ABI choices by adding target triplets ending in uclibceabi.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>January 30, 2011</para>
-      <itemizedlist>
-        <listitem>
-          <para>[abradford] - Added notes to ARM ABI variable list.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>November 11, 2006</para>
-      <itemizedlist>
-        <listitem>
-          <para>[mlankhorst] - Added arm to the book.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-  </itemizedlist>
-
-</sect1>
Index: BOOK/introduction/mips-chapter.xml
===================================================================
--- BOOK/introduction/mips-chapter.xml	(revision 47616cbc3b8c24b3a325ce4205a58d19e43aff36)
+++ BOOK/introduction/mips-chapter.xml	(revision 576630a8ded46974fed544331bee7b20723f0dfa)
@@ -19,5 +19,4 @@
   -->
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/changelog.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mips/changelog.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/resources.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/askforhelp.xml"/>
Index: OK/introduction/mips/changelog.xml
===================================================================
--- BOOK/introduction/mips/changelog.xml	(revision 47616cbc3b8c24b3a325ce4205a58d19e43aff36)
+++ 	(revision )
@@ -1,75 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-intro-changelog-mips">
-  <title>Changelog for MIPS</title>
-  <?dbhtml filename="changelog-mips.html"?>
-
-  <para>Below is a list of changes specifics for this architecture made
-  since the previous release of the book. For general changes see
-  <xref linkend="ch-intro-changelog"/>,</para>
-
-  <itemizedlist>
-    <title>Changelog Entries:</title>
-
-<!-- Changelog template
-
-    <listitem>
-      <para>Date</para>
-      <itemizedlist>
-        <listitem>
-          <para>[name] - Changelog entry.</para>
-        </listitem>
-        <listitem>
-          <para>[name] - Another changelog entry.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
--->
-
-    <listitem>
-      <para>July 24, 2013</para>
-      <itemizedlist>
-        <listitem>
-          <para>[abradford] - Fix CLFS_ARCH for kernel build.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>February 24, 2011</para>
-      <itemizedlist>
-        <listitem>
-          <para>[abradford] - Added selection of MIPS arch, endian, and float.
-          These are now used when building GCC.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>February 21, 2011</para>
-      <itemizedlist>
-        <listitem>
-          <para>[abradford] - Added support in uClibc for MIPS level 3
-          and ABI choices of n32 and n64.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>November 11, 2006</para>
-      <itemizedlist>
-        <listitem>
-          <para>[mlankhorst] - Added mips to the book.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-  </itemizedlist>
-
-</sect1>
Index: BOOK/introduction/x86-chapter.xml
===================================================================
--- BOOK/introduction/x86-chapter.xml	(revision 47616cbc3b8c24b3a325ce4205a58d19e43aff36)
+++ BOOK/introduction/x86-chapter.xml	(revision 576630a8ded46974fed544331bee7b20723f0dfa)
@@ -19,5 +19,4 @@
   -->
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/changelog.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="x86/changelog.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/resources.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="common/askforhelp.xml"/>
Index: OK/introduction/x86/changelog.xml
===================================================================
--- BOOK/introduction/x86/changelog.xml	(revision 47616cbc3b8c24b3a325ce4205a58d19e43aff36)
+++ 	(revision )
@@ -1,56 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-intro-changelog-x86">
-  <title>Changelog for x86</title>
-  <?dbhtml filename="changelog-x86.html"?>
-
-  <para>Below is a list of changes specifics for this architecture made
-  since the previous release of the book. For general changes see
-  <xref linkend="ch-intro-changelog"/>,</para>
-
-  <itemizedlist>
-    <title>Changelog Entries:</title>
-
-<!-- Changelog template
-
-    <listitem>
-      <para>Date</para>
-      <itemizedlist>
-        <listitem>
-          <para>[name] - Changelog entry.</para>
-        </listitem>
-        <listitem>
-          <para>[name] - Another changelog entry.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
--->
-
-    <listitem>
-      <para>February 10, 2011</para>
-      <itemizedlist>
-        <listitem>
-          <para>[abradford] - Removed ABI selection for x86, it isn't
-          needed and was misleading.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-    <listitem>
-      <para>November 05, 2006</para>
-      <itemizedlist>
-        <listitem>
-          <para>[jim] - Added x86 to the book.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
-  </itemizedlist>
-
-</sect1>