Index: BOOK/boot/common/createfiles.xml
===================================================================
--- BOOK/boot/common/createfiles.xml	(revision 02e8ee788311101742442de468f36f1e0d7e0584)
+++ BOOK/boot/common/createfiles.xml	(revision 732349ef23296c2c21a918b9784728f6b5c77ca2)
@@ -22,5 +22,4 @@
 sed -e 's/tools/usr/' /tools/lib/libstdc++.la &gt; ${CLFS}/usr/lib/libstdc++.la
 ln -sv bash ${CLFS}/bin/sh
-ln -sv ../run ${CLFS}/var/run
 ln -sv /tools/sbin/init ${CLFS}/sbin
 ln -sv /tools/etc/{login.{access,defs},limits} ${CLFS}/etc</userinput></screen>
@@ -124,12 +123,4 @@
 
     <varlistentry os="c13">
-      <term><parameter><filename>/var/run</filename></parameter></term>
-      <listitem>
-        <para>This is to account for any applications that have not yet
-        migrated to using <filename class="directory">/run</filename>.</para>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry os="c14">
       <term><parameter><filename>/sbin/init</filename></parameter></term>
       <listitem>
@@ -138,5 +129,5 @@
     </varlistentry>
 
-    <varlistentry os="c15">
+    <varlistentry os="c14">
       <term><parameter><filename>/etc/{login.{access,defs},limits}</filename></parameter></term>
       <listitem>
Index: BOOK/boot/common/creatingdirs.xml
===================================================================
--- BOOK/boot/common/creatingdirs.xml	(revision 02e8ee788311101742442de468f36f1e0d7e0584)
+++ BOOK/boot/common/creatingdirs.xml	(revision 732349ef23296c2c21a918b9784728f6b5c77ca2)
@@ -28,4 +28,5 @@
 install -dv -m 0750 ${CLFS}/root
 install -dv -m 1777 ${CLFS}{/var,}/tmp
+ln -sv ../run ${CLFS}/var/run
 mkdir -pv ${CLFS}/usr/{,local/}{bin,include,lib,sbin,src}
 mkdir -pv ${CLFS}/usr/{,local/}share/{doc,info,locale,man}
Index: BOOK/boot/mips64/createfiles.xml
===================================================================
--- BOOK/boot/mips64/createfiles.xml	(revision 02e8ee788311101742442de468f36f1e0d7e0584)
+++ BOOK/boot/mips64/createfiles.xml	(revision 732349ef23296c2c21a918b9784728f6b5c77ca2)
@@ -25,5 +25,4 @@
 sed -e 's/tools/usr/' /tools/lib/libstdc++.la &gt; ${CLFS}/usr/lib/libstdc++.la
 ln -sv bash ${CLFS}/bin/sh
-ln -sv ../run ${CLFS}/var/run
 ln -sv /tools/sbin/init ${CLFS}/sbin
 ln -sv /tools/etc/{login.{access,defs},limits} ${CLFS}/etc</userinput></screen>
Index: BOOK/boot/mips64/creatingdirs.xml
===================================================================
--- BOOK/boot/mips64/creatingdirs.xml	(revision 02e8ee788311101742442de468f36f1e0d7e0584)
+++ BOOK/boot/mips64/creatingdirs.xml	(revision 732349ef23296c2c21a918b9784728f6b5c77ca2)
@@ -21,4 +21,5 @@
 install -dv ${CLFS}/root -m 0750
 install -dv ${CLFS}{/var,}/tmp -m 1777
+ln -sv ../run ${CLFS}/var/run
 mkdir -pv ${CLFS}/usr/{,local/}{bin,include,lib{,32,64},sbin,src}
 mkdir -pv ${CLFS}/usr/{,local/}share/{doc,info,locale,man}
Index: BOOK/boot/multilib/createfiles.xml
===================================================================
--- BOOK/boot/multilib/createfiles.xml	(revision 02e8ee788311101742442de468f36f1e0d7e0584)
+++ BOOK/boot/multilib/createfiles.xml	(revision 732349ef23296c2c21a918b9784728f6b5c77ca2)
@@ -23,5 +23,4 @@
 sed -e 's/tools/usr/' /tools/lib/libstdc++.la &gt; ${CLFS}/usr/lib/libstdc++.la
 ln -sv bash ${CLFS}/bin/sh
-ln -sv ../run ${CLFS}/var/run
 ln -sv /tools/sbin/init ${CLFS}/sbin
 ln -sv /tools/etc/{login.{access,defs},limits} ${CLFS}/etc</userinput></screen>
Index: BOOK/boot/multilib/creatingdirs.xml
===================================================================
--- BOOK/boot/multilib/creatingdirs.xml	(revision 02e8ee788311101742442de468f36f1e0d7e0584)
+++ BOOK/boot/multilib/creatingdirs.xml	(revision 732349ef23296c2c21a918b9784728f6b5c77ca2)
@@ -25,4 +25,5 @@
 install -dv ${CLFS}/root -m 0750
 install -dv ${CLFS}{/var,}/tmp -m 1777
+ln -sv ../run ${CLFS}/var/run
 mkdir -pv ${CLFS}/usr/{,local/}{bin,include,lib{,64},sbin,src}
 mkdir -pv ${CLFS}/usr/{,local/}share/{doc,info,locale,man}
Index: BOOK/chroot/64/createfiles.xml
===================================================================
--- BOOK/chroot/64/createfiles.xml	(revision 02e8ee788311101742442de468f36f1e0d7e0584)
+++ BOOK/chroot/64/createfiles.xml	(revision 732349ef23296c2c21a918b9784728f6b5c77ca2)
@@ -22,6 +22,5 @@
 ln -sv /tools/lib/libstdc++.so{.6,} /usr/lib
 sed -e 's/tools/usr/' /tools/lib/libstdc++.la &gt; /usr/lib/libstdc++.la
-ln -sv bash /bin/sh
-ln -sv /run /var/run</userinput></screen>
+ln -sv bash /bin/sh</userinput></screen>
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/chroot/common/createfiles.xml
===================================================================
--- BOOK/chroot/common/createfiles.xml	(revision 02e8ee788311101742442de468f36f1e0d7e0584)
+++ BOOK/chroot/common/createfiles.xml	(revision 732349ef23296c2c21a918b9784728f6b5c77ca2)
@@ -20,6 +20,5 @@
 ln -sv /tools/lib/libstdc++.so{.6,} /usr/lib
 sed -e 's/tools/usr/' /tools/lib/libstdc++.la &gt; /usr/lib/libstdc++.la
-ln -sv bash /bin/sh
-ln -sv /run /var/run</userinput></screen>
+ln -sv bash /bin/sh</userinput></screen>
 
     <variablelist os="c">
Index: BOOK/chroot/common/creatingdirs.xml
===================================================================
--- BOOK/chroot/common/creatingdirs.xml	(revision 02e8ee788311101742442de468f36f1e0d7e0584)
+++ BOOK/chroot/common/creatingdirs.xml	(revision 732349ef23296c2c21a918b9784728f6b5c77ca2)
@@ -21,4 +21,5 @@
 install -dv -m 0750 /root
 install -dv -m 1777 {/var,}/tmp
+ln -sv ../run /var/run
 mkdir -pv /usr/{,local/}{bin,include,lib,sbin,src}
 mkdir -pv /usr/{,local/}share/{doc,info,locale,man}
Index: BOOK/chroot/mips64/createfiles.xml
===================================================================
--- BOOK/chroot/mips64/createfiles.xml	(revision 02e8ee788311101742442de468f36f1e0d7e0584)
+++ BOOK/chroot/mips64/createfiles.xml	(revision 732349ef23296c2c21a918b9784728f6b5c77ca2)
@@ -24,6 +24,5 @@
 ln -sv /tools/lib64/libstdc++.so{.6,} /usr/lib64
 sed -e 's/tools/usr/' /tools/lib/libstdc++.la &gt; /usr/lib/libstdc++.la
-ln -sv bash /bin/sh
-ln -sv /run /var/run</userinput></screen>
+ln -sv bash /bin/sh</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/chroot/mips64/creatingdirs.xml
===================================================================
--- BOOK/chroot/mips64/creatingdirs.xml	(revision 02e8ee788311101742442de468f36f1e0d7e0584)
+++ BOOK/chroot/mips64/creatingdirs.xml	(revision 732349ef23296c2c21a918b9784728f6b5c77ca2)
@@ -21,4 +21,5 @@
 install -dv /root -m 0750
 install -dv {/var,}/tmp -m 1777
+ln -sv ../run /var/run
 mkdir -pv /usr/{,local/}{bin,include,lib{,32,64},sbin,src}
 mkdir -pv /usr/{,local/}share/{doc,info,locale,man}
Index: BOOK/chroot/multilib/createfiles.xml
===================================================================
--- BOOK/chroot/multilib/createfiles.xml	(revision 02e8ee788311101742442de468f36f1e0d7e0584)
+++ BOOK/chroot/multilib/createfiles.xml	(revision 732349ef23296c2c21a918b9784728f6b5c77ca2)
@@ -21,6 +21,5 @@
 ln -sv /tools/lib/libstd* /usr/lib
 ln -sv /tools/lib64/libstd* /usr/lib64
-ln -sv bash /bin/sh
-ln -sv /run /var/run</userinput></screen>
+ln -sv bash /bin/sh</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/chroot/multilib/creatingdirs.xml
===================================================================
--- BOOK/chroot/multilib/creatingdirs.xml	(revision 02e8ee788311101742442de468f36f1e0d7e0584)
+++ BOOK/chroot/multilib/creatingdirs.xml	(revision 732349ef23296c2c21a918b9784728f6b5c77ca2)
@@ -21,4 +21,5 @@
 install -dv /root -m 0750
 install -dv {/var,}/tmp -m 1777
+ln -sv ../run /var/run
 mkdir -pv /usr/{,local/}{bin,include,lib{,64},sbin,src}
 mkdir -pv /usr/{,local/}share/{doc,info,locale,man}
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 02e8ee788311101742442de468f36f1e0d7e0584)
+++ BOOK/introduction/common/changelog.xml	(revision 732349ef23296c2c21a918b9784728f6b5c77ca2)
@@ -44,4 +44,8 @@
           from Cross-Tools to Temp-System.</para>
         </listitem>
+        <listitem>
+          <para>[Chris] - Moved creation of /var/run symlink to a more
+          appropriate location in the Creating Directories page.</para>
+        </listitem>
       </itemizedlist>
     </listitem>