Index: BOOK/cross-tools/64/glibc.xml
===================================================================
--- BOOK/cross-tools/64/glibc.xml	(revision b84828ce1cd1490d183e9f4bb0b8f755f3a78595)
+++ BOOK/cross-tools/64/glibc.xml	(revision 812899d530fce4776652fcacc5569be9311b860d)
@@ -47,5 +47,4 @@
     --host=${CLFS_TARGET} \
     --build=${CLFS_HOST} \
-    --disable-profile \
     --enable-kernel=&glibc-kernel-version; \
     --with-binutils=/cross-tools/bin \
@@ -87,8 +86,4 @@
       href="../common/glibc.xml"
       xpointer="xpointer(//*[@os='dg8'])"/>
-
-      <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../common/glibc.xml"
-      xpointer="xpointer(//*[@os='dg9'])"/>
 
     </variablelist>
Index: BOOK/cross-tools/common/glibc.xml
===================================================================
--- BOOK/cross-tools/common/glibc.xml	(revision b84828ce1cd1490d183e9f4bb0b8f755f3a78595)
+++ BOOK/cross-tools/common/glibc.xml	(revision 812899d530fce4776652fcacc5569be9311b860d)
@@ -47,5 +47,4 @@
     --host=${CLFS_TARGET} \
     --build=${CLFS_HOST} \
-    --disable-profile \
     --enable-kernel=&glibc-kernel-version; \
     --with-binutils=/cross-tools/bin \
@@ -89,12 +88,4 @@
 
       <varlistentry os="dg5">
-        <term><parameter>--disable-profile</parameter></term>
-        <listitem>
-          <para>This builds the libraries without profiling information.
-          Omit this option if profiling on the temporary tools is necessary.</para>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry os="dg6">
         <term><parameter>--enable-kernel=&glibc-kernel-version;</parameter></term>
         <listitem>
@@ -104,5 +95,5 @@
       </varlistentry>
 
-      <varlistentry os="dg7">
+      <varlistentry os="dg6">
         <term><parameter>--with-binutils=/cross-tools/bin</parameter></term>
         <listitem>
@@ -112,5 +103,5 @@
       </varlistentry>
 
-      <varlistentry os="dg8">
+      <varlistentry os="dg7">
         <term><parameter>--with-headers=/tools/include</parameter></term>
         <listitem>
@@ -122,5 +113,5 @@
       </varlistentry>
 
-      <varlistentry os="dg9">
+      <varlistentry os="dg8">
         <term><parameter>--enable-obsolete-rpc</parameter></term>
         <listitem>
Index: BOOK/cross-tools/mips64/glibc-n32.xml
===================================================================
--- BOOK/cross-tools/mips64/glibc-n32.xml	(revision b84828ce1cd1490d183e9f4bb0b8f755f3a78595)
+++ BOOK/cross-tools/mips64/glibc-n32.xml	(revision 812899d530fce4776652fcacc5569be9311b860d)
@@ -51,5 +51,4 @@
     --build=${CLFS_HOST} \
     --libdir=/tools/lib32 \
-    --disable-profile \
     --enable-kernel=&glibc-kernel-version; \
     --with-binutils=/cross-tools/bin \
Index: BOOK/cross-tools/multilib/glibc-64bit.xml
===================================================================
--- BOOK/cross-tools/multilib/glibc-64bit.xml	(revision b84828ce1cd1490d183e9f4bb0b8f755f3a78595)
+++ BOOK/cross-tools/multilib/glibc-64bit.xml	(revision 812899d530fce4776652fcacc5569be9311b860d)
@@ -51,5 +51,4 @@
     --build=${CLFS_HOST} \
     --libdir=/tools/lib64 \
-    --disable-profile \
     --enable-kernel=&glibc-kernel-version; \
     --with-binutils=/cross-tools/bin \
Index: BOOK/cross-tools/multilib/glibc.xml
===================================================================
--- BOOK/cross-tools/multilib/glibc.xml	(revision b84828ce1cd1490d183e9f4bb0b8f755f3a78595)
+++ BOOK/cross-tools/multilib/glibc.xml	(revision 812899d530fce4776652fcacc5569be9311b860d)
@@ -45,5 +45,4 @@
     --host=${CLFS_TARGET32} \
     --build=${CLFS_HOST} \
-    --disable-profile \
     --enable-kernel=&glibc-kernel-version; \
     --with-binutils=/cross-tools/bin \
@@ -90,8 +89,4 @@
       xpointer="xpointer(//*[@os='dg8'])"/>
 
-      <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../common/glibc.xml"
-      xpointer="xpointer(//*[@os='dg9'])"/>
-
     </variablelist>
 
Index: BOOK/final-system/common/glibc.xml
===================================================================
--- BOOK/final-system/common/glibc.xml	(revision b84828ce1cd1490d183e9f4bb0b8f755f3a78595)
+++ BOOK/final-system/common/glibc.xml	(revision 812899d530fce4776652fcacc5569be9311b860d)
@@ -70,5 +70,4 @@
 <screen os="h"><userinput>../glibc-&glibc-version;/configure \
     --prefix=/usr \
-    --disable-profile \
     --enable-kernel=&glibc-kernel-version; \
     --libexecdir=/usr/lib/glibc \
Index: BOOK/final-system/mips64/glibc-n32.xml
===================================================================
--- BOOK/final-system/mips64/glibc-n32.xml	(revision b84828ce1cd1490d183e9f4bb0b8f755f3a78595)
+++ BOOK/final-system/mips64/glibc-n32.xml	(revision 812899d530fce4776652fcacc5569be9311b860d)
@@ -55,5 +55,4 @@
 ../glibc-&glibc-version;/configure \
     --prefix=/usr \
-    --disable-profile \
     --enable-kernel=&glibc-kernel-version; \
     --libexecdir=/usr/lib32/glibc \
Index: BOOK/final-system/multilib/glibc-64bit.xml
===================================================================
--- BOOK/final-system/multilib/glibc-64bit.xml	(revision b84828ce1cd1490d183e9f4bb0b8f755f3a78595)
+++ BOOK/final-system/multilib/glibc-64bit.xml	(revision 812899d530fce4776652fcacc5569be9311b860d)
@@ -55,5 +55,4 @@
 ../glibc-&glibc-version;/configure \
     --prefix=/usr \
-    --disable-profile \
     --enable-kernel=&glibc-kernel-version; \
     --libexecdir=/usr/lib64/glibc \
Index: BOOK/final-system/multilib/glibc.xml
===================================================================
--- BOOK/final-system/multilib/glibc.xml	(revision b84828ce1cd1490d183e9f4bb0b8f755f3a78595)
+++ BOOK/final-system/multilib/glibc.xml	(revision 812899d530fce4776652fcacc5569be9311b860d)
@@ -54,5 +54,4 @@
 ../glibc-&glibc-version;/configure \
     --prefix=/usr \
-    --disable-profile \
     --enable-kernel=&glibc-kernel-version; \
     --libexecdir=/usr/lib/glibc \
Index: BOOK/final-system/ppc64-64/glibc.xml
===================================================================
--- BOOK/final-system/ppc64-64/glibc.xml	(revision b84828ce1cd1490d183e9f4bb0b8f755f3a78595)
+++ BOOK/final-system/ppc64-64/glibc.xml	(revision 812899d530fce4776652fcacc5569be9311b860d)
@@ -68,5 +68,4 @@
 <screen os="h"><userinput>CC="gcc ${BUILD64}" ../glibc-&glibc-version;/configure \
     --prefix=/usr \
-    --disable-profile \
     --enable-kernel=&glibc-kernel-version; \
     --libexecdir=/usr/lib/glibc \
Index: BOOK/final-system/ppc64/glibc-64bit.xml
===================================================================
--- BOOK/final-system/ppc64/glibc-64bit.xml	(revision b84828ce1cd1490d183e9f4bb0b8f755f3a78595)
+++ BOOK/final-system/ppc64/glibc-64bit.xml	(revision 812899d530fce4776652fcacc5569be9311b860d)
@@ -54,5 +54,4 @@
 ../glibc-&glibc-version;/configure \
     --prefix=/usr \
-    --disable-profile \
     --enable-kernel=&glibc-kernel-version; \
     --libexecdir=/usr/lib64/glibc \
Index: BOOK/final-system/ppc64/glibc.xml
===================================================================
--- BOOK/final-system/ppc64/glibc.xml	(revision b84828ce1cd1490d183e9f4bb0b8f755f3a78595)
+++ BOOK/final-system/ppc64/glibc.xml	(revision 812899d530fce4776652fcacc5569be9311b860d)
@@ -70,5 +70,4 @@
 ../glibc-&glibc-version;/configure \
     --prefix=/usr \
-    --disable-profile \
     --enable-kernel=&glibc-kernel-version; \
     --libexecdir=/usr/lib/glibc \
Index: BOOK/final-system/sparc64-64/glibc.xml
===================================================================
--- BOOK/final-system/sparc64-64/glibc.xml	(revision b84828ce1cd1490d183e9f4bb0b8f755f3a78595)
+++ BOOK/final-system/sparc64-64/glibc.xml	(revision 812899d530fce4776652fcacc5569be9311b860d)
@@ -77,5 +77,4 @@
 ../glibc-&glibc-version;/configure \
     --prefix=/usr \
-    --disable-profile \
     --enable-kernel=&glibc-kernel-version; \
     --libexecdir=/usr/lib/glibc \
Index: BOOK/final-system/sparc64/glibc-64bit.xml
===================================================================
--- BOOK/final-system/sparc64/glibc-64bit.xml	(revision b84828ce1cd1490d183e9f4bb0b8f755f3a78595)
+++ BOOK/final-system/sparc64/glibc-64bit.xml	(revision 812899d530fce4776652fcacc5569be9311b860d)
@@ -62,5 +62,4 @@
 ../glibc-&glibc-version;/configure \
     --prefix=/usr \
-    --disable-profile \
     --enable-kernel=&glibc-kernel-version; \
     --libexecdir=/usr/lib64/glibc \
Index: BOOK/final-system/x86/glibc.xml
===================================================================
--- BOOK/final-system/x86/glibc.xml	(revision b84828ce1cd1490d183e9f4bb0b8f755f3a78595)
+++ BOOK/final-system/x86/glibc.xml	(revision 812899d530fce4776652fcacc5569be9311b860d)
@@ -52,5 +52,4 @@
 <screen os="h"><userinput>../glibc-&glibc-version;/configure \
     --prefix=/usr \
-    --disable-profile \
     --enable-kernel=&glibc-kernel-version; \
     --libexecdir=/usr/lib/glibc \
Index: BOOK/final-system/x86_64-64/glibc.xml
===================================================================
--- BOOK/final-system/x86_64-64/glibc.xml	(revision b84828ce1cd1490d183e9f4bb0b8f755f3a78595)
+++ BOOK/final-system/x86_64-64/glibc.xml	(revision 812899d530fce4776652fcacc5569be9311b860d)
@@ -64,5 +64,4 @@
 <screen os="h"><userinput>../glibc-&glibc-version;/configure \
     --prefix=/usr \
-    --disable-profile \
     --enable-kernel=&glibc-kernel-version; \
     --libexecdir=/usr/lib/glibc \
Index: BOOK/final-system/x86_64/glibc-64bit.xml
===================================================================
--- BOOK/final-system/x86_64/glibc-64bit.xml	(revision b84828ce1cd1490d183e9f4bb0b8f755f3a78595)
+++ BOOK/final-system/x86_64/glibc-64bit.xml	(revision 812899d530fce4776652fcacc5569be9311b860d)
@@ -57,5 +57,4 @@
 ../glibc-&glibc-version;/configure \
     --prefix=/usr \
-    --disable-profile \
     --enable-kernel=&glibc-kernel-version; \
     --libexecdir=/usr/lib64/glibc \
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision b84828ce1cd1490d183e9f4bb0b8f755f3a78595)
+++ BOOK/introduction/common/changelog.xml	(revision 812899d530fce4776652fcacc5569be9311b860d)
@@ -38,4 +38,14 @@
 
     <listitem>
+      <para>19 February 2016</para>
+      <itemizedlist>
+        <listitem>
+          <para>[Chris] - Removed --disable-profile from Glibc instructions -
+          profiling is disabled by default.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>17 January 2016</para>
       <itemizedlist>