Index: BOOK/cross-tools/mips64-64/glibc.xml
===================================================================
--- BOOK/cross-tools/mips64-64/glibc.xml	(revision 55426c3606e372dee4d23c51011ef971bc4131d5)
+++ BOOK/cross-tools/mips64-64/glibc.xml	(revision 814837a86684bacc7b7fc6c163885032398c4216)
@@ -50,4 +50,12 @@
     href="../common/glibc.xml"
     xpointer="xpointer(//*[@os='d'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../final-system/mips64/glibc-64bit.xml"
+    xpointer="xpointer(//*[@os='m3'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../final-system/mips64/glibc-64bit.xml"
+    xpointer="xpointer(//*[@os='m4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/cross-tools/mips64/glibc-64bit.xml
===================================================================
--- BOOK/cross-tools/mips64/glibc-64bit.xml	(revision 55426c3606e372dee4d23c51011ef971bc4131d5)
+++ BOOK/cross-tools/mips64/glibc-64bit.xml	(revision 814837a86684bacc7b7fc6c163885032398c4216)
@@ -50,4 +50,12 @@
     href="glibc.xml"
     xpointer="xpointer(//*[@os='d'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../final-system/mips64/glibc-64bit.xml"
+    xpointer="xpointer(//*[@os='m3'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../final-system/mips64/glibc-64bit.xml"
+    xpointer="xpointer(//*[@os='m4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/cross-tools/mips64/glibc-n32.xml
===================================================================
--- BOOK/cross-tools/mips64/glibc-n32.xml	(revision 55426c3606e372dee4d23c51011ef971bc4131d5)
+++ BOOK/cross-tools/mips64/glibc-n32.xml	(revision 814837a86684bacc7b7fc6c163885032398c4216)
@@ -50,4 +50,12 @@
     href="glibc.xml"
     xpointer="xpointer(//*[@os='d'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../final-system/mips64/glibc-64bit.xml"
+    xpointer="xpointer(//*[@os='m3'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../final-system/mips64/glibc-64bit.xml"
+    xpointer="xpointer(//*[@os='m4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/final-system/mips64-64/glibc.xml
===================================================================
--- BOOK/final-system/mips64-64/glibc.xml	(revision 55426c3606e372dee4d23c51011ef971bc4131d5)
+++ BOOK/final-system/mips64-64/glibc.xml	(revision 814837a86684bacc7b7fc6c163885032398c4216)
@@ -53,4 +53,12 @@
     href="../common/glibc.xml"
     xpointer="xpointer(//*[@os='d'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../mips64/glibc-64bit.xml"
+    xpointer="xpointer(//*[@os='m3'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../mips64/glibc-64bit.xml"
+    xpointer="xpointer(//*[@os='m4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/final-system/mips64/glibc-64bit.xml
===================================================================
--- BOOK/final-system/mips64/glibc-64bit.xml	(revision 55426c3606e372dee4d23c51011ef971bc4131d5)
+++ BOOK/final-system/mips64/glibc-64bit.xml	(revision 814837a86684bacc7b7fc6c163885032398c4216)
@@ -24,4 +24,8 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="glibc.xml"
+    xpointer="xpointer(//*[@os='b'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="glibc.xml"
     xpointer="xpointer(//*[@os='p1'])"/>
 
@@ -29,8 +33,4 @@
     href="glibc.xml"
     xpointer="xpointer(//*[@os='p2'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="glibc.xml"
-    xpointer="xpointer(//*[@os='b'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -49,4 +49,10 @@
     href="glibc.xml"
     xpointer="xpointer(//*[@os='d'])"/>
+
+    <para os="m3">The following will cause Glibc to use an absolute path to the
+    ldd-rewrite-script instead of a relative path:</para>
+
+<screen os="m4"><userinput>cp config.make.in{,.orig}
+sed '/ldd-rewrite-script/s:@:${objdir}/&amp;:' config.make.in.orig &lt; config.make.in</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/final-system/mips64/glibc-n32.xml
===================================================================
--- BOOK/final-system/mips64/glibc-n32.xml	(revision 55426c3606e372dee4d23c51011ef971bc4131d5)
+++ BOOK/final-system/mips64/glibc-n32.xml	(revision 814837a86684bacc7b7fc6c163885032398c4216)
@@ -49,4 +49,12 @@
     href="../common/glibc.xml"
     xpointer="xpointer(//*[@os='d'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="glibc-64bit.xml"
+    xpointer="xpointer(//*[@os='m3'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="glibc-64bit.xml"
+    xpointer="xpointer(//*[@os='m4'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"