Index: BOOK/boot/x86_64-64/bin86.xml
===================================================================
--- BOOK/boot/x86_64-64/bin86.xml	(revision 94c04f1a9c012583273a61d842ef40c564b255e4)
+++ BOOK/boot/x86_64-64/bin86.xml	(revision 883964a940c61ecc9a78f1784a7373331ae17cc6)
@@ -24,8 +24,8 @@
 
     <para os="a">We are building Bin86 so that we can compile Lilo.
-      Both <command>as86</command> and <command>ld86</command> need to
-      run on the host system to assemble x86_64 code.  We cannot
-      compile the whole package like this, but fortunately these two
-      programs are the only parts we require.</para>
+    Both <command>as86</command> and <command>ld86</command> need to
+    run on the host system to assemble x86_64 code. We cannot
+    compile the whole package like this, but fortunately these two
+    programs are the only parts we require.</para>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -38,5 +38,5 @@
 
     <para os="b">The Bin86 package does not contain a <command>configure
-      </command> script.  Natively compile only the necessary parts with:
+    </command> script. Natively compile only the necessary parts with:
     </para>
 
@@ -44,7 +44,8 @@
 make CC=gcc -C ld ld86</userinput></screen>
 
-    <para os="e">Install the assembler and linker where they will be on
-      the PATH when we build Lilo, using prefixes to show that their
-      output is not for a native system.</para>
+    <para os="e">Install the assembler and linker into
+    <filename class="directory">/cross-tools</filename> so they will be in
+    the PATH when we build Lilo, using prefixes to show that their
+    output is not for a native system:</para>
 
 <screen os="f"><userinput>install -v -m 755 -s as/as86 /cross-tools/bin/${CLFS_TARGET}-as86
Index: BOOK/boot/x86_64-64/bootloaders.xml
===================================================================
--- BOOK/boot/x86_64-64/bootloaders.xml	(revision 94c04f1a9c012583273a61d842ef40c564b255e4)
+++ BOOK/boot/x86_64-64/bootloaders.xml	(revision 883964a940c61ecc9a78f1784a7373331ae17cc6)
@@ -12,23 +12,23 @@
 
     <para>On x86 and x86_64 (multilib) architectures, the preferred
-      bootloader is GRUB.  Unfortunately, GRUB doesn't work on x86_64
-      Pure64 - the stage2 files can be correctly built as 32-bit, but the
-      <command>grub</command> shell is a 64-bit program, and tries to
-      execute some of the stage2 routines - this results in a segmentation
-      fault. Therefore, in the final system we use Lilo as the bootloader.
+    bootloader is GRUB. Unfortunately, GRUB doesn't work on x86_64
+    Pure64 - the stage2 files can be correctly built as 32-bit, but the
+    <command>grub</command> shell is a 64-bit program, and tries to
+    execute some of the stage2 routines - this results in a segmentation
+    fault. Therefore, in the final system we use Lilo as the bootloader.
     </para>
 
     <para>If you already have a bootloader, such as GRUB, installed on
-      the system then you should use that to make your new kernel bootable.
-   </para>
+    the system then you should use that to make your new kernel bootable.
+    </para>
 
   <note>
     <para>We will now cross-compile Bin86 and Lilo - these instructions 
-      assume you are using an x86_64 machine (e.g. booted fron a Live CD),
-      either pure64 or multilib. This approach will not work if you are
-      running the machine as i686, because a 32-bit kernel will not be
-      able to execute a 64-bit binary to install the bootloader.  If that
-      is the case, you will need to install an i686 bootloader on the
-      host system. 
+    assume you are using an x86_64 machine (e.g. booted fron a Live CD),
+    either pure64 or multilib. This approach will not work if you are
+    running the machine as i686, because a 32-bit kernel will not be
+    able to execute a 64-bit binary to install the bootloader. If that
+    is the case, you will need to install an i686 bootloader on the
+    host system. 
     </para>
   </note>