Index: BOOK/final-system/mips64/glibc-n32.xml
===================================================================
--- BOOK/final-system/mips64/glibc-n32.xml	(revision be2644f5b7bdb357e05c94e7e0af9961235df39f)
+++ BOOK/final-system/mips64/glibc-n32.xml	(revision 917647cdc572ce111ac309138b5df5c4bfee9309)
@@ -64,6 +64,6 @@
         <term><parameter>--libexecdir=/usr/lib32/glibc</parameter></term>
         <listitem>
-          <para>This changes the location of the <command>getconf</command>
-          program from its default of <filename
+          <para>This changes the location for hard links to the
+          <command>getconf</command> utility from their default of <filename
           class="directory">/usr/libexec</filename> to <filename
           class="directory">/usr/lib32/glibc</filename>.</para>
Index: BOOK/final-system/multilib/glibc-64bit.xml
===================================================================
--- BOOK/final-system/multilib/glibc-64bit.xml	(revision be2644f5b7bdb357e05c94e7e0af9961235df39f)
+++ BOOK/final-system/multilib/glibc-64bit.xml	(revision 917647cdc572ce111ac309138b5df5c4bfee9309)
@@ -64,6 +64,6 @@
         <term><parameter>--libexecdir=/usr/lib64/glibc</parameter></term>
         <listitem>
-          <para>This changes the location of the <command>getconf</command>
-          utility from its default of <filename
+          <para>This changes the location for hard links to the
+          <command>getconf</command> utility from their default of <filename
           class="directory">/usr/libexec</filename> to <filename
           class="directory">/usr/lib64/glibc</filename>.</para>
Index: BOOK/final-system/ppc64/glibc-64bit.xml
===================================================================
--- BOOK/final-system/ppc64/glibc-64bit.xml	(revision be2644f5b7bdb357e05c94e7e0af9961235df39f)
+++ BOOK/final-system/ppc64/glibc-64bit.xml	(revision 917647cdc572ce111ac309138b5df5c4bfee9309)
@@ -57,17 +57,7 @@
     --enable-obsolete-rpc --cache-file=config.cache</userinput></screen>
 
-    <variablelist os="i">
-      <title>The meaning of the new configure option:</title>
-
-      <varlistentry>
-        <term><parameter>--libexecdir=/usr/lib64/glibc</parameter></term>
-        <listitem>
-          <para>This changes the location of the <command>getconf</command>
-          utility from its default of <filename
-          class="directory">/usr/libexec</filename> to <filename
-          class="directory">/usr/lib64/glibc</filename>.</para>
-        </listitem>
-      </varlistentry>
-    </variablelist>
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../multilib/glibc-64bit.xml"
+    xpointer="xpointer(//*[@os='i'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/final-system/x86_64-64/glibc.xml
===================================================================
--- BOOK/final-system/x86_64-64/glibc.xml	(revision be2644f5b7bdb357e05c94e7e0af9961235df39f)
+++ BOOK/final-system/x86_64-64/glibc.xml	(revision 917647cdc572ce111ac309138b5df5c4bfee9309)
@@ -66,17 +66,7 @@
     --enable-obsolete-rpc --cache-file=config.cache</userinput></screen>
 
-    <variablelist os="i">
-      <title>The meaning of the new configure option:</title>
-
-      <varlistentry>
-        <term><parameter>--libexecdir=/usr/lib/glibc</parameter></term>
-        <listitem>
-          <para>This changes the location of the <command>getconf</command>
-          utility from its default of <filename
-          class="directory">/usr/libexec</filename> to <filename
-          class="directory">/usr/lib/glibc</filename>.</para>
-        </listitem>
-      </varlistentry>
-    </variablelist>
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="../common/glibc.xml"
+    xpointer="xpointer(//*[@os='i'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision be2644f5b7bdb357e05c94e7e0af9961235df39f)
+++ BOOK/introduction/common/changelog.xml	(revision 917647cdc572ce111ac309138b5df5c4bfee9309)
@@ -44,4 +44,7 @@
           option from final-system GCC installation.</para>
         </listitem>
+        <listitem>
+          <para>[Chris] - Updates to command explanations.</para>
+        </listitem>
       </itemizedlist>
     </listitem>
Index: BOOK/temp-system/common/gcc.xml
===================================================================
--- BOOK/temp-system/common/gcc.xml	(revision be2644f5b7bdb357e05c94e7e0af9961235df39f)
+++ BOOK/temp-system/common/gcc.xml	(revision 917647cdc572ce111ac309138b5df5c4bfee9309)
@@ -80,9 +80,10 @@
 
       <varlistentry os="cl1">
-        <term><parameter>--disable-libstdcxx-pch</parameter></term>
+        <term><parameter>--enable-install-libiberty</parameter></term>
         <listitem>
-          <para>Do not build the pre-compiled header (PCH) for
-          <filename class="libraryfile">libstdc++</filename>. It takes
-          up a lot of space, and we have no use for it.</para>
+          <para>Allows GCC to build and install
+          <filename class="libraryfile">libiberty.a</filename>
+          and its associated headers. This library is needed for some packages
+          to compile.</para>
         </listitem>
       </varlistentry>
Index: BOOK/temp-system/common/ncurses.xml
===================================================================
--- BOOK/temp-system/common/ncurses.xml	(revision be2644f5b7bdb357e05c94e7e0af9961235df39f)
+++ BOOK/temp-system/common/ncurses.xml	(revision 917647cdc572ce111ac309138b5df5c4bfee9309)
@@ -46,11 +46,4 @@
         <listitem>
           <para>This tells Ncurses to create a shared library.</para>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry>
-        <term><parameter>--without-debug</parameter></term>
-        <listitem>
-          <para>This tells Ncurses not to build with debug information.</para>
         </listitem>
       </varlistentry>